Bug Hunting Session
Bug 91014 - LO crashes 100% of attempts to add a hyperlink in writer or calc
Summary: LO crashes 100% of attempts to add a hyperlink in writer or calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-02 10:23 UTC by steve -_-
Modified: 2015-12-17 09:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
crash when adding hyperlink (83.44 KB, text/plain)
2015-05-02 10:23 UTC, steve -_-
Details
linux backtrace (20.62 KB, text/plain)
2015-05-02 12:17 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steve -_- 2015-05-02 10:23:52 UTC
Created attachment 115263 [details]
crash when adding hyperlink

Reproduce:

* open writer or calc
* write the word "test"
* from top menu select Insert > Hyperlink
* use any URL (e.g. https://bugs.documentfoundation.org/enter_bug.cgi?product=LibreOffice) to paste into the "target" field
* click the "OK" button

LO crashes, crash log attached
Comment 1 Buovjaga 2015-05-02 11:38:33 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: 393c51cee8bc3de5a2a9f4e04161c59e8712f631
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-02_01:20:07
Locale: fi-FI (fi_FI)
Comment 2 Yousuf Philips (jay) (retired) 2015-05-02 12:17:07 UTC
Created attachment 115266 [details]
linux backtrace
Comment 3 Julien Nabet 2015-05-02 16:30:16 UTC
#0  0x00002aaaafb15006 in SvtIconChoiceCtrl::GetEntryCount (this=0x0) at /home/julien/compile-libreoffice/libreoffice/svtools/source/contnr/ivctrl.cxx:271
#1  0x00002aaadfd0b541 in IconChoiceDialog::FocusOnIcon (this=0x358d700, nId=10228) at /home/julien/compile-libreoffice/libreoffice/cui/source/dialogs/iconcdlg.cxx:845
#2  0x00002aaadfcd8ce7 in IconChoiceDialog::SetCurPageId (this=0x358d700, nId=10228) at /home/julien/compile-libreoffice/libreoffice/cui/source/inc/iconcdlg.hxx:194
#3  0x00002aaadfd09796 in IconChoiceDialog::ShowPage (this=0x358d700, nId=10228) at /home/julien/compile-libreoffice/libreoffice/cui/source/dialogs/iconcdlg.cxx:337
#4  0x00002aaadfcd8537 in SvxHpLinkDlg::SetPage (this=0x358d700, pItem=0x30e5b70) at /home/julien/compile-libreoffice/libreoffice/cui/source/dialogs/cuihyperdlg.cxx:337
#5  0x00002aaadfcd6e00 in SvxHlinkCtrl::StateChanged (this=0x358da88, nSID=10361, eState=DEFAULT, pState=0x30e5b70)
    at /home/julien/compile-libreoffice/libreoffice/cui/source/dialogs/cuihyperdlg.cxx:54
#6  0x00002aaaae962864 in SfxStateCache::SetState_Impl (this=0x3675990, eState=DEFAULT, pState=0x30e5b70, bMaybeDirty=false)
    at /home/julien/compile-libreoffice/libreoffice/sfx2/source/control/statcach.cxx:429
Comment 4 steve -_- 2015-05-02 17:16:05 UTC
Comment on attachment 115266 [details]
linux backtrace

we have a backtrace with line numbers from julien now.
Comment 5 Philippe Jung 2015-05-04 14:24:59 UTC
Could be related:


In calc, insert an image, right click on it and select hyperlink.
Press ESC immediately
LO crashes


Traced down to 


void SvxHyperlinkInternetTp::RefreshMarkWindow()
{
SAL_DEBUG("m_pRbtLinktypInternet: " << m_pRbtLinktypInternet);
    if ( m_pRbtLinktypInternet->IsChecked() && IsMarkWndVisible() )
    {
        EnterWait();


In my case pRbtLinktypInternet.get() == 0

Call stack:

#0  0x00007fffa881f1f2 in RadioButton::IsChecked (this=0x0) at /home/philippe/src/git-repo/libreoffice/core/include/vcl/button.hxx:365
#1  0x00007fffa881e80a in SvxHyperlinkInternetTp::RefreshMarkWindow (this=0x1d8e3d0) at /home/philippe/src/git-repo/libreoffice/core/cui/source/dialogs/hlinettp.cxx:432
#2  0x00007fffa881e48e in SvxHyperlinkInternetTp::LostFocusTargetHdl_Impl (this=0x1d8e3d0)
    at /home/philippe/src/git-repo/libreoffice/core/cui/source/dialogs/hlinettp.cxx:400
#3  0x00007fffa881e46f in SvxHyperlinkInternetTp::LinkStubLostFocusTargetHdl_Impl (instance=0x1d8e3d0, data=0x1d8f600)
    at /home/philippe/src/git-repo/libreoffice/core/cui/source/dialogs/hlinettp.cxx:398

Tell me if not related, I will open a new bug
Comment 6 Philippe Jung 2015-05-04 14:46:57 UTC
If related, I pushed a patch https://gerrit.libreoffice.org/#/c/15626/
Comment 7 Matthew Francis 2015-05-06 08:33:15 UTC
This began at the below commit.
Adding Cc: to michael.meeks@collabora.com; Could you possibly take a look at this one? Thanks

commit e8b97a52c96df9c8e8055407b1e40ed7cb9cfc67
Merge: 2b0be6c 0cde74f
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Tue Apr 28 11:41:31 2015 +0100

    Merge remote-tracking branch 'origin/feature/vclptr'
    
    Resolve several thousand lines of conflicts.
Comment 8 Michael Meeks 2015-05-06 10:49:17 UTC
Thanks for the report ! =)
Comment 9 Commit Notification 2015-05-06 10:50:00 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=952220b750a5bc8a9d9df03e109ed1d84c393842

tdf#91014 - dispose SfxControllerItem sub-class earlier.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:00:35 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]